List Webhook Rules – Management API – MediaKind
List Webhook Rules
Get https://app.mk.io/api/v1/projects/:project_name/webhook/rules
RBAC Capability Required: webhooks.config.get
Authentication
Authorization: Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name: string (Required)
Query parameters
$orderby: string (Optional)
Specifies the key by which the result collection should be ordered.$filter: string (Optional)
Restricts the set of items returned.$top: string (Optional)
Specifies a non-negative integernthat limits the number of items returned from a collection.$skiptoken: string (Optional)
Specifies a start offset to support paginated results. Use@odata.nextLinkin the result object to enumerate the collection - it will be present only if there's more than one page of entities.
Response
200
A list of webhook rulesvalue: list of objects WebhookRuleSchema (Required)
A list of Webhook rules
metadata: object WebhookRuleMetadataSchema (Required)
Webhook rule metadata.
id: string (Required)
The ID of the webhook.- name: string (Required)
The name of the webhook. Unique within a project.
- name: string (Required)
spec: object WebhookRuleSpecSchema (Required)
authentication: object AuthenticationSchema (Optional)
- **headers**: map from strings to string (Optional) - **queryParams**: map from strings to string (Optional)enabled: boolean (Required)
Indicates whether the webhook is enabled.events: list of enums (Required)
List of events that trigger the webhook.headers: map from strings to string (Optional)
queryParams: map from strings to string (Optional)
url: string (Required)
The URL the webhook should call.
Errors
400 Bad Request
error: object ErrorDetail (Required)Pertinent information about the error
code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)
- ref: string (Required)
- status: integer (Required)
401 Unauthorized
error: object ErrorDetail (Required)- code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)
- ref: string (Required)
- status: integer (Required)
403 Forbidden
error: object ErrorDetail (Required)404 Not Found
error: object ErrorDetail (Required)429 Too Many Requests
error: object ErrorDetail (Required)500 Internal Server Error
error: object ErrorDetail (Required)